import { Component, OnInit } from '@angular/core';
import {BsModalService} from 'ngx-bootstrap';
import {FramePageComponent} from '../../core/FramePageComponent';
import {FrameDeptTreeComponent} from '../frame-dept-tree/frame-dept-tree.component';
import {FrameDeptDetailComponent} from '../frame-dept-detail/frame-dept-detail.component';

@Component({
  selector: 'app-frame-dept-page',
  templateUrl: './frame-dept-page.component.html',
  styleUrls: ['./frame-dept-page.component.scss']
})
export class FrameDeptPageComponent extends FramePageComponent implements OnInit {

  constructor(private modalService: BsModalService) {
    super(modalService);
    this.modalComponent = FrameDeptDetailComponent;
  }

  ngOnInit() {
  }

  showDeptTree(param) {
    this.showComponentModal(FrameDeptTreeComponent, param);
  }
}
